#include <bits/stdc++.h>
using namespace std;
const int N = 1e6+5;
int n,i,x,a,l=1e9,r=-1e9;
int main(){
	ios_base::sync_with_stdio(0);cin.tie(0);
	cin>>n>>x;
	while(n--){
		cin>>a;
		l=min(l,a);
		r=max(r,a);
	}
	cout << (r-l) + min(abs(x-l),abs(x-r));
}